body{ 
    background: #555;
}
#all{ 
    width: 80%;
    height: auto;
    background: #fff;
    margin-left: auto;
    margin-right: auto;
    background-color: white;
}
#head{ 
    height: 60px;
    background-color: yellow;
    color: black;
    font-size: 1.25em;
    border-bottom: 1px solid #568203;
    padding: .25em;
    text-align: center;
    position:-webkit-sticky;
    position: sticky;
    top:0;
    z-index: 1;
}
#head a:link{ 
    color: #568203;
    text-decoration: none;
    font-weight: 800%;
}
#head a:visited{ 
    color: #4A5D23;
    text-decoration: none;
}
#head a:hover{ 
    color: #4A5D23;
    text-decoration: underline;
}
#head a:active{ 
    color: #73590B;
    text-decoration: underline;
}
#head a:focus{ 
    color: #7FFF00;
    text-decoration: underline;
}

#side{ 
    width:20%;
    height: 600px;
    background: blue;
    float: left;
    box-sizing: border-box;
    border-right: 1px solid #000;
}
#main{ 
    width: 60%;
    height: 600px;
    background: white;
    padding: 1vw;
    float: left;
    box-sizing:border-box;
    font-size: 1.0em;
} 
img{ 
    max-width: 90%;  
}
#right{ 
    width: 100%;
    height: auto;
    background: red;
    float: right;
}
#foot{ 
    clear: both;
    height: 50px;
    background: gray;
    border-top: 1px solid #333;
    text-align: center;
}
@media only screen and (min-width: 450px) and (max-width:700px){ 
body{ 
    margin: 0;
    }
#all{ 
    width: 90%;
    }
#main{ 
    width: 80%;
    float: right;
    }
#right {
    clear:both;
    height: auto;
    width: 100%;
    }
@media only screen and (min-width:0px) and (max-width: 449px){ 
body{ 
    margin: 0;   
}
#all{ 
    width: 100%;
    height: auto;
}
#head { 
    height: 40px;
    font-size: 1.1em;
    padding: .15em;
    }
#side{ 
    width: 100%;
    height: auto;
    float:none;
    }
#main{ 
    width: 100%;
    height: auto;
    float: none; 
    }
#right{ 
    clear: both;
    height: auto;
    width: 100%;
    border: none;
    }
    }
    